%global _empty_manifest_terminate_build 0
Name:		python-fastnumbers
Version:	5.1.0
Release:	1
Summary:	Super-fast and clean conversions to numbers.
License:	MIT
URL:		https://github.com/SethMMorton/fastnumbers
Source0:	https://files.pythonhosted.org/packages/18/31/01a96ea9951192ff86b22a1ed8074980d0156420db1dd0086884a6ca6777/fastnumbers-5.1.0.tar.gz


%description
Fastnumbers is a module with the following three objectives
Provide a set of convenience functions that wrap the above int and float replacements and provides easy, concise, powerful, fast and flexible error handling.
Provide a set of functions that can be used to rapidly identify if an input could be converted to int or float.
Provide drop-in replacements for the Python built-in int and float that on average are up to 2x faster. 

%package -n python3-fastnumbers
Summary:	Super-fast and clean conversions to numbers.
Provides:	python-fastnumbers
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:  g++
BuildRequires:	gcc
%description -n python3-fastnumbers
Fastnumbers is a module with the following three objectives
Provide a set of convenience functions that wrap the above int and float replacements and provides easy, concise, powerful, fast and flexible error handling.
Provide a set of functions that can be used to rapidly identify if an input could be converted to int or float.
Provide drop-in replacements for the Python built-in int and float that on average are up to 2x faster.

%package help
Summary:	Development documents and examples for fastnumbers
Provides:	python3-fastnumbers-doc
%description help
Fastnumbers is a module with the following three objectives
Provide a set of convenience functions that wrap the above int and float replacements and provides easy, concise, powerful, fast and flexible error handling.
Provide a set of functions that can be used to rapidly identify if an input could be converted to int or float.
Provide drop-in replacements for the Python built-in int and float that on average are up to 2x faster.

%prep
%autosetup -n fastnumbers-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-fastnumbers -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Mar 11 2024 yueyuankun <yueyuankun@kylinos.cn> - 5.1.0-1
- Update package to version 5.1.0

* Mon Feb 27 2023 wubijie <wubijie@kylinos.cn> - 5.0.1-1
- Update package to version 5.0.1

* Wed Oct 19 2022 guozhengxin <guozhengxin@kylinos.cn> - 3.2.1-1
- Upgrade package to version 3.2.1

* Tue Sep 14 2021 Python_Bot <Python_Bot@openeuler.org> - 3.1.0-1
- Package Init
